import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postSsotDataTransformsValidation_ResourceRequestConfig } from '../resources/postSsotDataTransformsValidation';
import { DataTransformValidationRepresentation as types_DataTransformValidationRepresentation_DataTransformValidationRepresentation } from '../types/DataTransformValidationRepresentation';
export declare const adapterName = "validateDataTransforms";
export declare const validateDataTransforms_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const validateDataTransforms_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface ValidateDataTransformsConfig {
    capabilities?: {
        [key: string]: boolean;
    };
    creationType: string;
    currencyIsoCode?: string;
    dataSpaceName?: string;
    definition: {
        [key: string]: unknown;
    };
    description?: string;
    label?: string;
    name?: string;
    primarySource?: string;
    tags?: {
        [key: string]: string;
    };
    type: string;
}
export declare const createResourceParams: (config: ValidateDataTransformsConfig) => resources_postSsotDataTransformsValidation_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<ValidateDataTransformsConfig>): adapter$45$utils_Untrusted<ValidateDataTransformsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): ValidateDataTransformsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig): $64$luvio_engine_Snapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig, resourceParams: resources_postSsotDataTransformsValidation_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig, resourceParams: resources_postSsotDataTransformsValidation_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: ValidateDataTransformsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: ValidateDataTransformsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation>): $64$luvio_engine_Snapshot<types_DataTransformValidationRepresentation_DataTransformValidationRepresentation, any>;
export declare const validateDataTransformsAdapterFactory: $64$luvio_engine_AdapterFactory<ValidateDataTransformsConfig, types_DataTransformValidationRepresentation_DataTransformValidationRepresentation>;
