import { CdpUserRepresentation as CdpUserRepresentation_CdpUserRepresentation } from './CdpUserRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5c270c3f3f62b28570d9bc71e589cf45";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CdpAssetBaseRepresentation, existing: CdpAssetBaseRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CdpAssetBaseRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CdpAssetBaseRepresentationNormalized, incoming: CdpAssetBaseRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CdpAssetBaseRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents a base Asset
 *
 * Keys:
 *    (none)
 */
export interface CdpAssetBaseRepresentationNormalized {
    /** Created by */
    createdBy?: CdpUserRepresentation_CdpUserRepresentation;
    /** Created date */
    createdDate?: string;
    /** The 18 character ID of the asset */
    id: string;
    /** Label of the asset */
    label?: string;
    /** Last modified by */
    lastModifiedBy?: CdpUserRepresentation_CdpUserRepresentation;
    /** Last modified date */
    lastModifiedDate?: string;
    /** Name of the asset */
    name?: string;
    /** Namespace of the asset */
    namespace?: string;
    /** Url */
    url?: string;
}
/**
 * Represents a base Asset
 *
 * Keys:
 *    (none)
 */
export interface CdpAssetBaseRepresentation {
    createdBy?: CdpUserRepresentation_CdpUserRepresentation;
    createdDate?: string;
    id: string;
    label?: string;
    lastModifiedBy?: CdpUserRepresentation_CdpUserRepresentation;
    lastModifiedDate?: string;
    name?: string;
    namespace?: string;
    url?: string;
}
