import { CdpAssetBaseRepresentation as CdpAssetBaseRepresentation_CdpAssetBaseRepresentation } from './CdpAssetBaseRepresentation';
import { DataObjectFieldRepresentation as DataObjectFieldRepresentation_DataObjectFieldRepresentation } from './DataObjectFieldRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "9e4b2d7a80be5ccb629f0776f1d4fe19";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataObjectRepresentation, existing: DataObjectRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataObjectRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataObjectRepresentationNormalized, incoming: DataObjectRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataObjectRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data Object
 *
 * Keys:
 *    (none)
 */
export interface DataObjectRepresentationNormalized extends CdpAssetBaseRepresentation_CdpAssetBaseRepresentation {
    /** Category */
    category: string;
    /** Event Date Time Field */
    eventDateTimeFieldName?: string;
    /** Fields */
    fields: Array<$64$luvio_engine_StoreLink>;
    /** Record Modified Field */
    recordModifiedFieldName?: string;
    /** Type of Data Object */
    type: string;
}
/**
 * Data Object
 *
 * Keys:
 *    (none)
 */
export interface DataObjectRepresentation extends CdpAssetBaseRepresentation_CdpAssetBaseRepresentation {
    category: string;
    eventDateTimeFieldName?: string;
    fields: Array<DataObjectFieldRepresentation_DataObjectFieldRepresentation>;
    recordModifiedFieldName?: string;
    type: string;
}
