import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c291031c56b79b0c1b091a7ef8c96b77";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataTransformInputRepresentation, existing: DataTransformInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataTransformInputRepresentationNormalized, incoming: DataTransformInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Input representation for creating a Data Transform
 *
 * Keys:
 *    (none)
 */
export interface DataTransformInputRepresentationNormalized {
    /** A map of capabilities that can be requested for a data transform */
    capabilities?: {
        [key: string]: boolean;
    };
    /** The creation type of the data transform */
    creationType: string;
    /** The currency iso code of the data transform */
    currencyIsoCode?: string;
    /** The data space the data transform belongs to */
    dataSpaceName?: string;
    /** Definition of the data transform. Can be batch or streaming */
    definition: {
        [key: string]: unknown;
    };
    /** Description of the data transform */
    description?: string;
    /** Label of the data transform */
    label?: string;
    /** Name of the data transform */
    name?: string;
    /** The primary source for transform when there are table joins */
    primarySource?: string;
    /** A JSON blob of tags for consumers to add metadata/event info to the transforms they create */
    tags?: {
        [key: string]: string;
    };
    /** Type of data transform - streaming or batch */
    type: string;
}
/**
 * Input representation for creating a Data Transform
 *
 * Keys:
 *    (none)
 */
export interface DataTransformInputRepresentation {
    capabilities?: {
        [key: string]: boolean;
    };
    creationType: string;
    currencyIsoCode?: string;
    dataSpaceName?: string;
    definition: {
        [key: string]: unknown;
    };
    description?: string;
    label?: string;
    name?: string;
    primarySource?: string;
    tags?: {
        [key: string]: string;
    };
    type: string;
}
