import { TransformValidationIssueRepresentation as TransformValidationIssueRepresentation_TransformValidationIssueRepresentation } from './TransformValidationIssueRepresentation';
import { DataObjectRepresentation as DataObjectRepresentation_DataObjectRepresentation } from './DataObjectRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "21a4cd3206473ce28645099a11735bc6";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataTransformValidationRepresentation, existing: DataTransformValidationRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformValidationRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataTransformValidationRepresentationNormalized, incoming: DataTransformValidationRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformValidationRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data Transform validations and output data object Representation
 *
 * Keys:
 *    (none)
 */
export interface DataTransformValidationRepresentationNormalized {
    /** List of validation issues */
    issues?: Array<$64$luvio_engine_StoreLink>;
    /** Output representation of target object */
    outputDataObjects?: Array<$64$luvio_engine_StoreLink>;
}
/**
 * Data Transform validations and output data object Representation
 *
 * Keys:
 *    (none)
 */
export interface DataTransformValidationRepresentation {
    issues?: Array<TransformValidationIssueRepresentation_TransformValidationIssueRepresentation>;
    outputDataObjects?: Array<DataObjectRepresentation_DataObjectRepresentation>;
}
